<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://xmlns.jcp.org/jsf/passthrough" xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:form="http://www.springframework.org/tags/form"
>
<ui:composition template="/template/layout.xhtml">
    <ui:define name="head">
        <title>Found Bug?</title>

        <script src="resources/tinymce/js/tinymce/tinymce.min.js" referrerpolicy="origin"></script>
        <script>tinymce.init({selector: 'textarea'});</script>

    </ui:define>
    <ui:define name="content">
        <div class="container">

            <h1 class="pageIntro">Find a Bug - Make a Ticket - Receive clean Code</h1>

            <h:form method="post" class="bugFormular">
                <h:inputText id="bugName" class="buginput" value="#{createBugBean.newBugModel.bugName}"
                             p:placeholder="Give your bug a name here"
                             required="true"
                             label="Bug needs a Name"
                />
                <h:message for="bugName" style="color:red"/>

                <h:inputTextarea id="bugDesc" class="buginput" value="#{createBugBean.newBugModel.bugDescription}"
                                 p:placeholder="Tell us more about your bug"
                                 required="true"
                                 label="Bug needs a description"/>
                <h:message for="bugDesc" style="color:red"/>
                <div class="priorityForm">
                    <h5 class="setPrioText">Choose a Priority level for your bug:</h5>
                    <h:selectOneRadio styleClass="selectpriority" value="#{createBugBean.newBugModel.priority}">

                        <f:selectItem itemValue="1HIGH" itemLabel="High" />

                        <f:selectItem itemValue="2MEDIUM" itemLabel="Medium"  />

                        <f:selectItem itemValue="3LOW" itemLabel="Low"/>

                    </h:selectOneRadio>

                </div>

                <h:commandButton id="submit" class="btn buginput" action='#{createBugBean.submitBug()}'
                                 value="Send Us The Bug"/>
            </h:form>

        </div>
    </ui:define>
</ui:composition>
</html>
